
QGIS Application - Bug report #7193

Equal Intervals and Pretty Breaks modes of Graduated Renderer don't work with joined fields

2013-02-20 10:30 AM - Borys Jurgiel

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16239

Description

Observed in both: 1.8 and Master. With equal intervals, the same behaviour is observed in both: old and new symbologies. Pretty Breaks

are only present in the new one.

In Master, The Equal Intervals generates downward classes, from minimal value down to 0. In 1,8, it generates empty classes (from 0 to

0). The Pretty Breaks don't generate anything in both versions.

The same values work fine in base (non-joined) fields.

History

#1 - 2013-02-20 01:17 PM - Borys Jurgiel

- Target version set to Version 2.0.0

#2 - 2013-03-05 02:06 AM - Borys Jurgiel

- Priority changed from Normal to High

see also duplicate #7278

#3 - 2013-03-13 03:46 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:6262f31103
